Get repo
Fetch a repo by owner path and repo slug.
Endpoints
GET /api/v1/teams/{team_slug}/repos/{repo_slug}
GET /api/v1/users/{username}/repos/{repo_slug}
Authenticated
Usage
curl \
--header "Authorization: Bearer $PEARING_API_TOKEN" \
"$PEARING_API_URL/v1/teams/platform/repos/website"
curl \
--header "Authorization: Bearer $PEARING_API_TOKEN" \
"$PEARING_API_URL/v1/users/alice/repos/website"
Success
200 OK with the repo record, including created_by_uuid and created_by_username.
{
"uuid": "...",
"created_by_uuid": "...",
"created_by_username": "alice",
"name": "Website",
"description": "Customer-facing marketing site",
"slug": "website",
"clone_url": "https://git.example.com/teams/platform/website.git",
"visibility": "private",
"default_branch": "main",
"public_repo_pull_policy": "any",
"max_disk_bytes": 1073741824,
"disk_bytes": 0,
"is_active": true,
"created_at": "2026-03-09T12:00:00Z"
}
Errors
403 Forbiddenwhen repo access is denied.404 Not Foundwhen owner/repo is not found.
Common auth errors are documented on the API overview page.